> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Alert Integrations Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/alerts/integrations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/alerts/integrations:
    get:
      tags:
        - Alerts API
      summary: List Alert Integrations Endpoint
      operationId: list_alert_integrations_endpoint_api_v1_org_alerts_integrations_get
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: enabled
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enabled
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListIntegrationsResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListIntegrationsResult:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IntegrationItem'
          title: Items
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - items
        - pagination
      title: ListIntegrationsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IntegrationItem:
      properties:
        id:
          format: uuid4
          title: Id
          type: string
        name:
          title: Name
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Id
        channel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Name
        integration_type:
          title: Integration Type
          type: string
        teams_tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Teams Tenant Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template:
          anyOf:
            - type: string
            - type: 'null'
          title: Template
        enabled:
          title: Enabled
          type: boolean
        organisation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Organisation Id
        created_at:
          format: date-time
          type: string
          title: Created At
        updated_at:
          format: date-time
          type: string
          title: Updated At
      required:
        - id
        - name
        - url
        - channel_id
        - channel_name
        - integration_type
        - teams_tenant_id
        - description
        - template
        - enabled
        - organisation_id
        - created_at
        - updated_at
      title: IntegrationItem
      type: object
    Pagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          type: integer
          title: Total Count
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````